LibreOffice: NamedRange Service Reference

LibreOffice LibreOffice 5.1 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Exported Interfaces | Public Attributes | List of all members
NamedRange Service Referencepublished

represents a named range in a spreadsheet document. More...

`import"NamedRange.idl";`

Inheritance diagram for NamedRange:

## Exported Interfaces
interface | com::sun::star::sheet::XNamedRange
| provides access to the settings of the named range. More...
interface | com::sun::star::sheet::XCellRangeReferrer
| provides access to the cell range object referred by this named range. More...

## Public Attributes
long | TokenIndex
| returns the index used to refer to this name in token arrays. More...
boolean | IsSharedFormula
| Determines if this defined name represents a shared formula. More...

## Additional Inherited Members
Public Member Functions inherited from XNamedRange
string | getContent ()
| returns the content of the named range. More...
void | setContent ([in] string aContent)
| sets the content of the named range. More...
com::sun::star::table::CellAddress | getReferencePosition ()
| returns the position in the document which is used as a base for relative references in the content. More...
void | setReferencePosition ([in] com::sun::star::table::CellAddress aReferencePosition)
| sets the position in the document which is used as a base for relative references in the content. More...
long | getType ()
| returns the type of the named range. More...
void | setType ([in] long nType)
| sets the type of the named range. More...
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XCellRangeReferrer
com::sun::star::table::XCellRange | getReferredCells ()
| returns the cell range object that is represented. More...

## Detailed Description

represents a named range in a spreadsheet document.

In fact a named range is a named formula expression. A cell range address is one possible content of a named range.

See also
  com::sun::star::sheet::NamedRanges

## Exported Interfaces

interface com::sun::star::sheet::XCellRangeReferrer

provides access to the cell range object referred by this named range.

This works only, if the named range contains a single cell range address.

interface com::sun::star::sheet::XNamedRange

provides access to the settings of the named range.

## Member Data Documentation

boolean IsSharedFormula
| optionalproperty

Determines if this defined name represents a shared formula.

This special property shall not be used externally. It is used by import and export filters for compatibility with spreadsheet documents containing shared formulas. Shared formulas are shared by several cells to save memory and to decrease file size.

A defined name with this property set will not appear in the user interface of Calc, and its name will not appear in cell formulas. A formula referring to this defined name will show the formula definition contained in the name instead.

Since
  OOo 3.0

long TokenIndex
| optionalpropertyreadonly

returns the index used to refer to this name in token arrays.

A token describing a defined name shall contain the op-code obtained from the FormulaMapGroupSpecialOffset::NAME offset and this index as data part.

See also
  com::sun::star::sheet::FormulaToken
  com::sun::star::sheet::FormulaMapGroupSpecialOffset::NAME

Since
  OOo 3.0

The documentation for this service was generated from the following file:

- com/sun/star/sheet/NamedRange.idl